/* hinting-viewer -- View font outline hinting
 * Copyright 2005, Red Hat
 * Author: Owen Taylor <otaylor@redhat.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
#include <pango/pango.h>
#include <cairo.h>

typedef struct _FontRenderer FontRenderer;

FontRenderer *font_renderer_new  (void);
void          font_renderer_free (FontRenderer *renderer);

void font_renderer_set_scale        (FontRenderer *renderer,
				     double        scale);
void font_renderer_set_point_radius (FontRenderer *renderer,
				     double        point_radius);

void font_renderer_fill_layout   (FontRenderer *renderer,
				  cairo_t      *context,
				  PangoLayout  *layout);
void font_renderer_stroke_layout (FontRenderer *renderer,
				  cairo_t      *context,
				  PangoLayout  *layout);
void font_renderer_draw_layout_points (FontRenderer *renderer,
				       cairo_t      *context,
				       PangoLayout  *layout,
				       gboolean      include_control);
void font_renderer_draw_layout_pixels (FontRenderer *renderer,
				       cairo_t      *context,
				       PangoLayout  *layout);
